Cyberduck Mountain Duck CLI

#10598 closed defect (fixed)

Interoperability with Apache Sling

Reported by: dazzzy1 Owned by: dkocher
Priority: normal Milestone: 7.0
Component: webdav Version: 6.9.0
Severity: normal Keywords: WebDav
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hi, some of our customers use Cyberduck to mount a WebDav server that we sell and this has been working for many years.

For some reason, since version 6.8.2 the mounting of the WebDav has failed. Has any changes been made in this area please? I cannot see any specific reference in your change log and dont want to tell our customers to use Transmit as this is still working!

Happy to fix our end, just not sure why it is failing

HEAD /sling/content/images/ HTTP/1.1
Host: shearings.aouk.co.uk:8089
Connection: Keep-Alive
User-Agent: Cyberduck/6.9.0.29768 (Mac OS X/10.14.2) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: ********
HTTP/1.1 403 
Content-Type: text/html;charset=UTF-8
Transfer-Encoding: chunked
Date: Wed, 06 Feb 2019 11:34:12 GMT
PROPFIND /sling/content/images/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 281
Host: shearings.aouk.co.uk:8089
Connection: Keep-Alive
User-Agent: Cyberduck/6.9.0.29768 (Mac OS X/10.14.2) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: ********
HTTP/1.1 207 
X-Content-Type-Options: nosniff
Content-Type: text/xml;charset=UTF-8
Content-Length: 8104
Date: Wed, 06 Feb 2019 11:34:12 GMT

Attachments (2)

Screenshot 2019-02-05_23-37-50-051.png (115.1 KB) - added by dazzzy1 on Feb 6, 2019 at 11:38:34 AM.
OSX Screen shot
JCR_Webdav_Protocol.doc (772.5 KB) - added by dazzzy1 on Feb 8, 2019 at 4:27:07 PM.

Download all attachments as: .zip

Change History (17)

Changed on Feb 6, 2019 at 11:38:34 AM by dazzzy1

OSX Screen shot

comment:1 Changed on Feb 7, 2019 at 10:23:49 PM by dkocher

  • Component changed from core to webdav
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Feb 7, 2019 at 10:24:41 PM by dkocher

Can you please attach the actual error message displayed.

comment:3 Changed on Feb 8, 2019 at 6:52:11 AM by yla

This might be a regression as we implemented a few performance tweaks. Additional to the error message we need, do you know what kind of WebDAV server you are using?

comment:4 Changed on Feb 8, 2019 at 4:26:11 PM by dazzzy1

We are using Sling with its own webdav implementation based on https://tools.ietf.org/html/rfc2518

Changed on Feb 8, 2019 at 4:27:07 PM by dazzzy1

comment:5 Changed on Feb 8, 2019 at 4:45:10 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:6 Changed on Feb 8, 2019 at 4:45:36 PM by dkocher

Is there any error message displayed upon the connect attempt?

comment:7 Changed on Feb 8, 2019 at 4:45:45 PM by dkocher

  • Milestone set to 6.9.3

comment:8 Changed on Feb 8, 2019 at 4:45:54 PM by dkocher

  • Version changed from 6.8.2 to 6.9.0

comment:9 Changed on Feb 8, 2019 at 4:46:20 PM by dkocher

  • Summary changed from WebDav Changes to Interoperability with Apache Sling

comment:10 Changed on Feb 8, 2019 at 4:48:12 PM by yla

The output from the following command (replace username/password) would be very helpful to find the issue:

curl -H "Depth: 1" -X PROPFIND --data '<propfind xmlns="DAV:"><prop><creationdate/><displayname/><getcontentlength/><getcontenttype/><getetag/><getlastmodified/><resourcetype/><s:lastmodified xmlns:s="SAR:"/><s:lastmodified_server xmlns:s="SAR:"/></prop></propfind>' -u USERNAME:PASSWORD http://shearings.aouk.co.uk:8089/sling/content/images/

comment:11 Changed on Feb 15, 2019 at 12:08:10 PM by dkocher

  • Milestone changed from 6.9.3 to 7.0

Ticket retargeted after milestone closed

comment:12 Changed on May 22, 2019 at 8:24:12 AM by dkocher

  • Status changed from new to assigned

comment:13 Changed on May 22, 2019 at 9:03:01 AM by dkocher

  • Milestone changed from 7.0 to 6.9.5

comment:14 Changed on May 22, 2019 at 9:20:23 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47044.

comment:15 Changed on Jun 4, 2019 at 2:20:54 PM by dkocher

  • Milestone changed from 6.9.5 to 7.0

Ticket retargeted after milestone deleted

Note: See TracTickets for help on using tickets.
swiss made software